Package net.shibboleth.idp.profile.context.navigate

# Class SpringEventToViewLookupFunction

java.lang.Object
net.shibboleth.idp.profile.context.navigate.SpringEventToViewLookupFunction

All Implemented Interfaces:
  `Function<Event,String>`

public class SpringEventToViewLookupFunction extends Object implements Function<Event,String>
A function that returns a view name to render based on a Spring Web Flow `Event`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`defaultView`
Default view name to return.
`private Map<String,String>`
`eventMap`
Map of event ID to view name.

## Constructor Summary

Constructors
Constructor
Description
`SpringEventToViewLookupFunction()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`apply(Event input)`
`void`
`setDefaultView(String view)`
Set the default view name.
`void`
`setEventMap(Map<String,String> map)`
Set the map of event IDs to view names.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Field Details

### defaultView

@Nullable private String defaultView
Default view name to return.

### eventMap

@Nonnull private Map<String,String> eventMap
Map of event ID to view name.

## Constructor Details

### SpringEventToViewLookupFunction

public SpringEventToViewLookupFunction()
Constructor.

## Method Details

### setDefaultView

public void setDefaultView(@Nullable String view)
Set the default view name.

Parameters:
  `view` - default view name

### setEventMap

public void setEventMap(@Nullable Map<String,String> map)
Set the map of event IDs to view names.

Parameters:
  `map` - map to use

### apply

@Nullable public String apply(@Nullable Event input)

Specified by:
  `apply` in interface `Function<Event,String>`